petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESObjectiveFunction

functional form used to convey the objective function to the nonlinear solver

### Synopsis

    #include <petscsnes.h>
    SNESObjectiveFunction(SNES snes,Vec x,PetscReal *obj,void *ctx);

### Input Parameters

| snes | - the SNES context
| X | - solution
| F | - current function/gradient
| obj | - real to hold the objective value
| ctx | - optional user-defined objective context

### See Also

SNESSetFunction(), SNESGetFunction(), SNESSetObjective(), SNESGetObjective(), SNESJacobianFunction, SNESFunction

### Level

advanced

### Location

src/snes/interface/snesob.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages